## libfo-compat

libfo-compat —

## Synopsis

    #define     LIBFO_COMPAT_ERROR
    GQuark      libfo_compat_error_quark        (void);
    enum        LibfoCompatError;
    const gchar* libfo_compat_get_stylesheet    (void);
    FoXmlDoc*   libfo_compat_make_compatible    (FoXmlDoc *result_tree,
                                                 FoLibfoContext *libfo_context,
                                                 GError **error);

## Description

## Details

### LIBFO_COMPAT_ERROR

    #define LIBFO_COMPAT_ERROR libfo_compat_error_quark ()

### libfo_compat_error_quark ()

    GQuark      libfo_compat_error_quark        (void);

Returns : |

### enum LibfoCompatError

    typedef enum
    {
      LIBFO_COMPAT_ERROR_FAILED
    } LibfoCompatError;

### libfo_compat_get_stylesheet ()

    const gchar* libfo_compat_get_stylesheet    (void);

Get the built-in compatibility stylesheet as a single, rather long string.

Returns : | The built-in stylesheet.

### libfo_compat_make_compatible ()

    FoXmlDoc*   libfo_compat_make_compatible    (FoXmlDoc *result_tree,
                                                 FoLibfoContext *libfo_context,
                                                 GError **error);

Make `result_tree` compatible with libfo by applying the built-in copy of the 'libfo-compat.xsl' stylesheet.

`result_tree` : | Result of previous parse or transformation.
`libfo_context` : | FoLibfoContext.
`error` : | Indication of any error that occurred.
Returns : | A new result tree.